#!/bin/bash

while true; do
  # 获取当前日期，格式为 YYYY-MM 和 YYYY-MM-DD
  TODAY_YM=$(date +%Y-%m)
  TODAY_YMD=$(date +%Y-%m-%d)

  # 设置父目录的路径，你可以根据需要修改这个路径
  PARENT_DIR="/data1/records102"

  # 构建完整的目录路径
  TARGET_DIR="${PARENT_DIR}/${TODAY_YM}/${TODAY_YMD}"

  # 检查今天的日期文件夹是否存在
  if [ ! -d "$TARGET_DIR" ]; then
      # 如果不存在，创建该文件夹
      mkdir -p "$TARGET_DIR"
  fi
  
  ffmpeg  -rtsp_transport tcp -stimeout 5000000 -i "rtsp://admin:hik123456@192.168.31.102:554" -vcodec copy -t 500 -f segment -segment_time 120 -segment_format mp4 -strftime 1 "/data1/records102/%Y-%m/%Y-%m-%d/output_%Y-%m-%d_%H-%M.mp4"
  echo "Stream disconnected, reconnecting..."
  sleep 1
done
